Messed up configurations

Hey there,

The red and green are two configurations of a part, that belong to the assembly as shown on the drawing. I’m trying to automatically place boom balloons on the assembly view by selecting the part view and then running a macro that gets the part and its configuration of the selected view and then finds this component on the assembly view.

First, I find the component by name and then I compare it by configuration, the problem is that I successfully find both components on the assembly view, but GetID always returns the same value for both parts althou they are set to different configurations in the assembly.

I tried to access the active configuration from the ModelDoc2 object and the ConfigurationManager, but I always got the same result. What am I doing wrong?

This is the part of the code performing this operation:
For i = 0 To UBound(FvComps)
Set FvComp = FvComps(i)
FvComp.SetSuppression2 (swComponentFullyResolved)
Set swFvCompModel = FvComp.GetModelDoc2
If Not swFvCompModel Is Nothing Then
Set swCfgMgr = swFvCompModel.ConfigurationManager
Set swFvComponentConfig = swCfgMgr.ActiveConfiguration
compName1 = swCompModel.GetTitle
compName2 = swFvCompModel.GetTitle
If compName1 = compName2 Then
Set swFvComponentConfig = swFvCompModel.ConfigurationManager.ActiveConfiguration
'Najprej preveri če je isto ime komponente
If swCompConfig.GetID = swFvComponentConfig.GetID Then
Dim RefCong As String
RefCong = swView.ReferencedConfiguration
vEdges = swBoomView.GetVisibleEntities2(FvComp, swViewEntityType_e.swViewEntityType_Edge)
Set swEnt = vEdges(0)
BoomViewName = swBoomView.GetName2
swEnt.Select (False)
Dim myNote2 As SldWorks.Note
Dim myANote2 As SldWorks.Annotation
Dim errors As Long
Dim BomBalloonParams As Object
Set BomBalloonParams = swModel.Extension.CreateBalloonOptions()
Set myNote2 = swModel.Extension.InsertBOMBalloon2(BomBalloonParams)
GoTo cont
End If
Else
End If
End If
Next

Thank you for your help and have a nice day.